# SEO Checklist


## Contents of This File

- [Description and Benefits](#description-and-benefits)
- [Installation and Usage](#installation-and-usage)
- [More Information](#more-information)


## Description and Benefits

The SEO Checklist module provides a list of good SEO actions that you should
take to maximize the presence of your website in the major search engines. It
provides little functionality itself but rather it helps you keep track of what
needs to be done and what has been completed already.

Search Engines Drive 90% of the traffic on the web. The more "findable" you are,
the easier it is for you to get customers. This module helps you with on-page
SEO - a necessary component of a good online marketing campaign.


## Installation and Usage

Checklist API is installed in the usual way. See [Installing contributed
modules](https://www.drupal.org/documentation/install/modules-themes/modules-8).
To start using the module, go to `/admin/config/search/seo-checklist`. It will
pre-check any completed items it is able to auto detect. Start working through
the rest, and click "Save" to save your progress!


## More Information

- A very handy companion for this module is the Drupal 8 Search Engine
  Optimization book by Ben Finklea. For more information and to purchase, go to
  [DrupalSEOBook.com](http://www.drupalseobook.com/).

- To submit any bug reports or feature-or-support requests, see [the module
  issue queue](http://drupal.org/project/issues/seo_checklist).

- This module is potentially controversial as many people have ideas about good
  and bad SEO. If you have an idea of a module or task that should be included,
  please [file an issue](http://drupal.org/project/issues/seo_checklist).

- Enjoy using the module!
